Appearance
Search in Grid/Matrix cells
The Webservice module has also support for searching in Grid or Matrix cells. Use a nested array with the field name and the cell name.
Example url
https://your-domain.com/index.php/webservice/entry?auth[shortkey]=27dd39e7d&data[grid][cell_1]=testExample cURL
bash
curl -G 'https://your-domain.com/index.php/webservice/entry' \
-H 'Authorization: Bearer 27dd39e7d' \
--data-urlencode 'data[grid][cell_1]=test'Example PHP
php
$client = new \GuzzleHttp\Client();
$response = $client->get('https://your-domain.com/index.php/webservice/entry', [
'headers' => ['Authorization' => 'Bearer 27dd39e7d'],
'query' => [
'data' => [
'grid' => [
'cell_1' => 'test',
],
],
],
]);
$result = json_decode((string) $response->getBody(), true);